#include <stdio.h>

#define A_LEN 5

void set_idx(int *v, int sz) {
    for (int i = 0; i < sz; i++) {
        *(v + i) = i;
    }
}

int main(void) {
    int a[A_LEN];
    set_idx(a, A_LEN);
    for (int i = 0; i < A_LEN; i++) {
        printf("a[%d] = %d\n", i, a[i]);
    }

    return 0;
}
